%define rname	diggler
%define cid		\{583102ea-1697-4aee-bd9b-9757892e6a5b\}
%define ciddir	%firefox_extensionsdir/%cid

Summary:	Plugin diggler for Firefox
Name:		%firefox_name-%rname
Version:	0.9
Release:	alt11
Source0:	%rname-%version.xpi
License:	MPL/GPL/LGPL
Group:		Networking/WWW	
URL:		http://diggler.mozdev.org/
Buildrequires:	%firefox_name-devel unzip
BuildArch:	noarch

Requires: %firefox_name = %firefox_version

%description 
Diggler is a small but powerful add-on for Mozilla, Netscape and Firebird. 
It adds a button next to the location bar which can clear the location bar 
(much like the one in Konqueror) but also drops down a menu with some 
useful actions such as being able to disable popup windows and navigate to 
parent directories in URLs (handy for FTP operations and nested sites).

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%post
%firefox_install_extension %ciddir

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Tue Apr 18 2006 L.A. Kostis <lakostis@altlinux.org> 0.9-alt11
- rebuild with new firefox.

* Thu Oct 13 2005 Konstantin A Lepikhov (L.A. Kostis) <lakostis@altlinux.ru> 0.9-alt10
- rebuild with new firefox.

* Fri Aug 26 2005 Alexey Gladkov <legion@altlinux.ru> 0.9-alt9
- bugfix rebuild.

* Tue Aug 16 2005 Alexey Gladkov <legion@altlinux.ru> 0.9-alt8
- bugfix rebuild.

* Mon Aug 08 2005 Alexey Gladkov <legion@altlinux.ru> 0.9-alt7
- update for new firefox;

* Mon Jun 27 2005 Alexey Gladkov <legion@altlinux.ru> 0.9-alt6
- update for new firefox;

* Wed Apr 27 2005 Alexey Gladkov <legion@altlinux.ru> 0.9-alt5
- requires fix;

* Sat Mar 05 2005 Alexey Gladkov <legion@altlinux.ru> 0.9-alt4.1
- postscript bugfix;

* Fri Jan 19 2005 Alexey Gladkov <legion@altlinux.ru> 0.9-alt4
- rebuild with new firefox.
- Requires to firefox package was relaxed.

* Fri Jan 07 2005 Alexey Gladkov <legion@altlinux.ru> 0.9-alt3
- new extension scheme;

* Mon Oct 25 2004 Alexey Gladkov <legion@altlinux.ru> 0.9-alt2
- Spec changes;

* Tue Oct 19 2004 Alexey Gladkov <legion@altlinux.ru> 0.9-alt1
- New version;

* Mon Jul 05 2004 Alexey Gladkov <legion@altlinux.ru> 0.7-alt1
- New version;
- New extension scheme.

* Fri Feb 13 2004 Alexey Gladkov <legion@altlinux.ru> 0.6-alt2
- Mozilla Firebird becomes Mozilla Firefox. Mozilla's next 
  generation browser has changed names (again);

* Mon Nov 24 2003 Alexey Gladkov <legion@altlinux.ru> 0.6-alt1
- first build for ALT Linux.
